#pragma once

#include "MAXProxies.hpp"
#include <Proxies\StateSort.hpp>

namespace MAXProxies {

	class MAXSplitByStateProcess:
		public Proxies::SplitByStateProcess
	{
	public:
		MAXSplitByStateProcess(bool bSuppress=true):
		  	SplitByStateProcess(NULL,bSuppress,NULL),
			iPointer(NULL),
			progress(0)
			{}

		MAXSplitByStateProcess(
			Stuff::NotationFile *data_file, 
			Interface *i, 
			int p, 
			bool bSuppress = true,
			LPVOID fcn = NULL
		);

		void
			SplitCallback(Proxies::GenericProxy* proxy, int type);

		Interface 
			*iPointer;
		int  
			progress;
	};

}
